Subject: Re: Branch names with slashes

From: Johannes Sixt <[email-masked]>
Date: Fri, 16 Dec 2011 08:02:37 +0100

Am 12/14/2011 11:17, schrieb Leonardo Kim:
> Branch names can contain slashes, so we can use 'development/foo' as a
> branch name. If I choose 'development' as a branch name, it doesn't
> work. There is a directory named development at '.git/refs/heads'
> directory. So we cannot create a file named development for
> 'refs/heads/development'.
> 
> An error message may occurs like below. Unfortunately, It is not of help to me.
> 'error: 'refs/heads/development/foo' exists; cannot create
> 'refs/heads/development'.
> 
> I think that dealing with a file system and an error message above is
> not sufficient for a novice like me. I hope that it should be
> improved.

Sorry, I don't see anything in the error message that makes a connection
between refs and a file system; it only says "foo/bar exists; cannot
create foo". I really don't see how this can be improved to avoid confusion.

-- Hannes